"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AmqpChannel = void 0;
const messaging_1 = require("@nestjstools/messaging");
const rabbitmq_client_1 = require("rabbitmq-client");
class AmqpChannel extends messaging_1.Channel {
    constructor(config) {
        super(config);
        this.connection = new rabbitmq_client_1.Connection(config.connectionUri);
    }
}
exports.AmqpChannel = AmqpChannel;
//# sourceMappingURL=amqp.channel.js.map