import { RoutingMessage } from '@nestjstools/messaging';
import { IMessageBus } from '@nestjstools/messaging';
import { AmqpChannel } from '../channel/amqp.channel';
export declare class AmqpMessageBus implements IMessageBus {
    private readonly amqpChanel;
    private readonly connection;
    constructor(amqpChanel: AmqpChannel);
    dispatch(message: RoutingMessage): Promise<object | void>;
    private createMessageBuilderWhenUndefined;
    private createMessageBuilderWhenDefined;
    private getRoutingKey;
}
