"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessagingRabbitmqExtensionModule = void 0;
const common_1 = require("@nestjs/common");
const amqp_message_bus_factory_1 = require("./message-bus/amqp-message-bus-factory");
const amqp_channel_factory_1 = require("./channel/amqp-channel.factory");
const rabbitmq_messaging_consumer_1 = require("./consumer/rabbitmq-messaging.consumer");
const rabbitmq_migrator_1 = require("./migrator/rabbitmq.migrator");
let MessagingRabbitmqExtensionModule = class MessagingRabbitmqExtensionModule {
};
exports.MessagingRabbitmqExtensionModule = MessagingRabbitmqExtensionModule;
exports.MessagingRabbitmqExtensionModule = MessagingRabbitmqExtensionModule = __decorate([
    (0, common_1.Global)(),
    (0, common_1.Module)({
        providers: [
            rabbitmq_migrator_1.RabbitmqMigrator,
            amqp_message_bus_factory_1.AmqpMessageBusFactory,
            amqp_channel_factory_1.AmqpChannelFactory,
            rabbitmq_messaging_consumer_1.RabbitmqMessagingConsumer,
        ],
    })
], MessagingRabbitmqExtensionModule);
//# sourceMappingURL=messaging-rabbitmq-extension.module.js.map